Download it now!
Bug 73046 - FILESAVE: DOCX relativeHeight for anchor tag is mandatory
Summary: FILESAVE: DOCX relativeHeight for anchor tag is mandatory
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Nikhil Walvekar
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-26 12:30 UTC by Nikhil Walvekar
Modified: 2014-01-03 13:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file for which there is problem (961.29 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-26 12:30 UTC, Nikhil Walvekar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikhil Walvekar 2013-12-26 12:30:30 UTC
Created attachment 91197 [details]
Original file for which there is problem

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office
Expected:
File should open without any error.
Actual:
File corrupt dialog is shown

In header2.xml for anchor tag relativeHeight attribute is not added, which is mandatory attribute.
Comment 1 Jorendc 2013-12-28 17:43:55 UTC
Opening this file using Windows 8.1 with LibreOffice Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72 result in an increasing total pagenumber (initially first just 5 pages, then increasing very fast). When you click somewhere in Writer, or try to scroll, it freezes completely. I have to force quit LibreOffice

Tested using W8.1 with 
LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02

Same behavior.

@Nikhil: what OS do synerzip/you use :)? Maybe Windows 8(.1) specific?

Kind regards,
Joren
Comment 2 Thomas van der Meulen 2013-12-30 10:43:53 UTC
I can reproduce the freeze that Joren is talking about I also had to force quit LibreOffice. So I can't test the bug. 
Should we make a new bug about the loading freeze? 

Version: 4.2.0.1
Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a
OS: Mac osx 10.9.1
Comment 3 Nikhil Walvekar 2013-12-30 11:17:35 UTC
@Joren: Let me try with latest code. 
We use windows 7 and MS office 2010 to verify the documents.
Let me check this again and update you.
Comment 4 Commit Notification 2014-01-02 08:18:29 UTC
Nikhil Walvekar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96dcea05d2aedceeb27f9506b4178c664be5f80b

fdo#73046 DOCX For anchor tag relativeHeight attribute



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2014-01-03 12:54:43 UTC
Hi Nikhil,

You are 100% right about closing this bug :). Thanks for fixing and the closing it properly).

(In reply to comment #3)
> @Joren: Let me try with latest code. 
> We use windows 7 and MS office 2010 to verify the documents.
> Let me check this again and update you.

Did you check that behavior (see Comment 1) with attached document too?
Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5bf0a838e800605e95b5b03157bdf0780db497e6
TinderBox: Win-x86@39, Branch:master, Time: 2014-01-03_01:04:32 , which do contain your patch, still have same mentioned freeze while opening the test document.

Kind regards,
Joren

PS: this is of course another bug, I'll open one if necessary.
Comment 6 Nikhil Walvekar 2014-01-03 13:05:25 UTC
Hi Joren,
Sorry I totally forgot about it.
I will do it as first thing tomorrow morning.

Regards,
Nikhil